# findtow

This is a small utility for checking if a blockdevice has the [tow-boot](https://tow-boot.org/)
protective partition. It supports scanning for a specific block device or all
block devices attached to the system.

## Usage

```
Usage: findtow [-v] [-h] [-p] [--device|-d devicename]
Checks if a device has a tow-boot shared storage setup

  -d, --device=PATH   full path to the device to check
  -p, --print         print found device to stdout
  -v, --verbose       show more debugging information
  -h, --help          show this help message

Exit status:
 0  tow-boot found on this device
 1  tow-boot is not present
 2  failed to open device
 3  failed to read partitions
```

## Building

```shell-session
$ meson build
$ meson compile -C build
$ meson install -C build
```